Debian, Howto

Howto: Upgrade to Debian Squeeze

My first attempt to upgrade to Debian Squeeze failed. It was because I lost power in the middle of the upgrade and my PC got switched off. It was so bad that I could not get the installation to work again. I had to re-install.

I made a second attempt today and succeeded. Briefly, this is what happened.

18:45 hrs
I pop in the Debian 5.03 DVD 1 and start a vanilla install of Lenny with GNOME.
20:35 hrs
Debian Lenny  installation completes.
20:40 hrs
I edit the /etc/apt/sources.list file to change all instances of “lenny” to “squeeze” and all instances of “.in” to “.us”. This is the only preparatory step required. Nothing else is necessary as the entire squeeze installation happens by a download.
20.41 hrs
I use the update manager to check for updates. Smart Upgrade feature  identifies 1101 packages adding to 881 MB.
20:42 hrs
I begin to download the squeeze upgrades on my 512 KBPS connection
12:58 hrs
All 1101 package downloads complete and squeeze installation starts. Thankfully, I didn’t lose power this time.
01:25 hrs
Installation freezes when attempting to restart the hardware abstraction layer.
01:27 hrs
After waiting for two minutes, I press Enter a few times and Ctrl+c a few times. Disk whirls and installation continues.
01:35 hrs
Installation completes. Update Manager throws out a long list of dependency problems reproduced below. PC freezes again and wont power down.
01:36 hrs
I manually power down the machine, wondering if the upgrade worked
01:38 hrs
When I boot, I notice that the Vanilla installation of Squeeze is near perfect. Everything works flawlessly.

The addition of  multimedia drivers, third party software etc. are for another day.

————————————————————-
Dependency problems during a normal squeeze install.
————————————————————-
E: dbus: subprocess installed post-installation script killed by signal (Interrupt)
E: dbus-x11: dependency problems – leaving unconfigured
E: gconf2-common: dependency problems – leaving unconfigured
E: libgconf2-4: dependency problems – leaving unconfigured
E: gconf2: dependency problems – leaving unconfigured
E: libgnomevfs2-common: dependency problems – leaving unconfigured
E: libgnomevfs2-0: dependency problems – leaving unconfigured
E: libgnomevfs2-extra: dependency problems – leaving unconfigured
E: libedataserver1.2-11: dependency problems – leaving unconfigured
E: libcamel1.2-14: dependency problems – leaving unconfigured
E: libebook1.2-9: dependency problems – leaving unconfigured
E: libecal1.2-7: dependency problems – leaving unconfigured
E: python-evolution: dependency problems – leaving unconfigured
E: libgnome2-common: dependency problems – leaving unconfigured
E: gvfs: dependency problems – leaving unconfigured
E: libgnome2-0: dependency problems – leaving unconfigured
E: libbonoboui2-0: dependency problems – leaving unconfigured
E: libgnomeui-0: dependency problems – leaving unconfigured
E: libpanel-applet2-0: dependency problems – leaving unconfigured
E: python-gnomeapplet: dependency problems – leaving unconfigured
E: libgnome-desktop-2-11: dependency problems – leaving unconfigured
E: python-gnomedesktop: dependency problems – leaving unconfigured
E: gnome-media-common: dependency problems – leaving unconfigured
E: libgnome-media0: dependency problems – leaving unconfigured
E: python-mediaprofiles: dependency problems – leaving unconfigured
E: metacity-common: dependency problems – leaving unconfigured
E: libmetacity-private0: dependency problems – leaving unconfigured
E: python-metacity: dependency problems – leaving unconfigured
E: libtotem-plparser12: dependency problems – leaving unconfigured
E: python-totem-plparser: dependency problems – leaving unconfigured
E: python-gnome2-desktop: dependency problems – leaving unconfigured
E: python-gconf: dependency problems – leaving unconfigured
E: python-gnome2: dependency problems – leaving unconfigured
E: consolekit: dependency problems – leaving unconfigured
E: policykit: dependency problems – leaving unconfigured
E: hal: dependency problems – leaving unconfigured
E: xserver-xorg: dependency problems – leaving unconfigured
E: xserver-xorg-core: dependency problems – leaving unconfigured
E: xserver-xorg-input-kbd: dependency problems – leaving unconfigured
E: libebackend1.2-0: dependency problems – leaving unconfigured
E: libedata-book1.2-2: dependency problems – leaving unconfigured
E: libedata-cal1.2-6: dependency problems – leaving unconfigured
E: libegroupwise1.2-13: dependency problems – leaving unconfigured
E: libsoup-gnome2.4-1: dependency problems – leaving unconfigured
E: libgweather-common: dependency problems – leaving unconfigured
E: libgweather1: dependency problems – leaving unconfigured
E: libedataserverui1.2-8: dependency problems – leaving unconfigured
E: libexchange-storage1.2-3: dependency problems – leaving unconfigured
E: libgtkhtml3.14-19: dependency problems – leaving unconfigured
E: libgtkhtml-editor0: dependency problems – leaving unconfigured
E: evolution-data-server: dependency problems – leaving unconfigured

Advertisements

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s